Page MenuHomePhabricator

Track numbers for Electron- vs. OCG-Rendering
Closed, ResolvedPublic

Description

We want to keep track of how many users are choosing the Electron- and the OCG-rendering option in the ElectronPdfService extension.

Background:
One of the wishes of the 2015 German-speaking community wishlist as well as the international community wishlist was the support of tables in pdfs: T135643.
It would take an enormous engineering effort to add tables to the current latex layout in a way that 80%-90% of the tables display correctly. 10%-20% would always be off due to the different capabilities of the two media (printed, layouted page versus HTML). Therefore the idea is to offer another way of rendering pdfs. The new browser-based rendering version will not have the well designed latex layout (at least for the start), but look like the printed website - not perfect for print, but at least complete.

Details

Related Gerrit Patches:
mediawiki/extensions/ElectronPdfService : masterTrack how many of which actions occour

Related Objects

StatusSubtypeAssignedTask
ResolvedJKatzWMF
StalledNone
ResolvedWMDE-Fisch
ResolvedAddshore
InvalidNone
InvalidNone
ResolvedTobi_WMDE_SW
ResolvedTobi_WMDE_SW
Resolvedgabriel-wmde
ResolvedAddshore
ResolvedTobi_WMDE_SW
ResolvedTobi_WMDE_SW
ResolvedTobi_WMDE_SW
DeclinedNone
ResolvedTobi_WMDE_SW
Resolved GWicke
Resolvedmobrovac
ResolvedPchelolo
Resolvedmobrovac
Resolved dpatrick
Resolved dpatrick
Resolved Lea_WMDE
ResolvedAddshore

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 9 2016, 11:54 AM
Bmueller renamed this task from Track numbers for Electron- vs. OCR-Rendering to Track numbers for Electron- vs. OCG-Rendering.Nov 9 2016, 11:58 AM
Bmueller updated the task description. (Show Details)

AFAIK there id a page that presents the user with two buttons? one for each service?
We could simply track the number of clicks of that button?

We could probably also / or track the number of views of the relevant services.

@Addshore It's a form with two radio buttons. So we need to track when the form gets submitted, but that shouldn't be a problem, right?

I assume if we track on the form submit level (which should not be a problem) we can potentially get richer data if needed (e.g. if the user is logged in or not);
The number of requests to the services is probably less rich – but I assume even easier to track. If we track both (none sounds complicated) we could easily check the sets against each other.

Tobi_WMDE_SW updated the task description. (Show Details)Nov 10 2016, 2:04 PM
Addshore moved this task from Todo to Sprint ready on the WMDE-QWERTY-Team board.Nov 15 2016, 11:13 AM

Change 321631 had a related patch set uploaded (by Addshore):
Track how many of which actions occour

https://gerrit.wikimedia.org/r/321631

The Collection extension already track how many renderings it makes / serves.
The above patch will allow us to see how many of those come from the electronpdf extension as well as how many electron pdfs are served from the extension.

Addshore moved this task from Sprint ready to Currently in sprint on the WMDE-QWERTY-Team board.
Addshore moved this task from Incoming to Doing on the WMDE-Analytics-Engineering board.
Addshore moved this task from Unsorted 💣 to Active 🚁 on the User-Addshore board.

Change 321631 merged by jenkins-bot:
Track how many of which actions occour

https://gerrit.wikimedia.org/r/321631

Addshore closed this task as Resolved.Nov 16 2016, 3:51 PM
Addshore moved this task from Active 🚁 to Closing ✔️ on the User-Addshore board.
Addshore moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Dec 6 2016, 3:06 PM